categories: apt
title: Gestion des clés apt

#### Clé publique non disponible / reconnue ####

Lors de l'utilisation d'*apt*, il arrive d'obtenir l'erreur suivante:

```
W: GPG error: <URL> Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY <PUBKEY>
```

Cela signifie que la signature du dépôt n'a pas pû être vérifiée localement.
Il faut donc ajouter la clé publique du dépôt.

##### Ajout via //apt-key// #####

```
root@test01:~ # apt-key adv --keyserver keyserver.ubuntu.com --recv-keys <PUBKEY>
```

##### Méthode alternative #####

Il est également possible de réaliser l'ajout de la clé publique via *gpg* :

```
root@test01:~ # gpg --keyserver pgpkeys.mit.edu --recv-key <PUBKEY>
root@test01:~ # gpg -a --export <PUBKEY> | apt-key add -
root@test01:~ # apt update
```
